Package org.apache.storm.container.cgroup

## Interface CgroupCommonOperation

- All Known Implementing Classes:
    `CgroupCommon`

      public interface CgroupCommonOperation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProcs​(int pid)` | add a process to cgroup.
    `void` | `addTask​(int taskid)` | add task to cgroup.
    `boolean` | `getCgroupCloneChildren()` | get the cgroup.clone_children config.
    `boolean` | `getNotifyOnRelease()` | to get the notify_on_release config.
    `Set<Long>` | `getPids()` | get the PIDs of processes running in cgroup.
    `String` | `getReleaseAgent()` | get the command for the relase agent to execute.
    `Set<Integer>` | `getTasks()` | Get a list of task ids running in CGroup.
    `void` | `setCgroupCloneChildren​(boolean flag)` | Set the cgroup.clone_children config.
    `void` | `setEventControl​(String eventFd, String controlFd, String... args)` | set event control config.
    `void` | `setNotifyOnRelease​(boolean flag)` | to set notify_on_release config in cgroup.
    `void` | `setReleaseAgent​(String command)` | set a command for the release agent to execute.

- - ### Method Detail

    - #### addTask

          void addTask​(int taskid)
                throws IOException

      add task to cgroup.
      Parameters:
        `taskid` - task id of task to add
      Throws:
        `IOException`

    - #### getTasks

          Set<Integer> getTasks()
                         throws IOException

      Get a list of task ids running in CGroup.
      Throws:
        `IOException`

    - #### addProcs

          void addProcs​(int pid)
                 throws IOException

      add a process to cgroup.
      Parameters:
        `pid` - the PID of the process to add
      Throws:
        `IOException`

    - #### getPids

          Set<Long> getPids()
                     throws IOException

      get the PIDs of processes running in cgroup.
      Throws:
        `IOException`

    - #### getNotifyOnRelease

          boolean getNotifyOnRelease()
                              throws IOException

      to get the notify_on_release config.
      Throws:
        `IOException`

    - #### setNotifyOnRelease

          void setNotifyOnRelease​(boolean flag)
                           throws IOException

      to set notify_on_release config in cgroup.
      Throws:
        `IOException`

    - #### getReleaseAgent

          String getReleaseAgent()
                          throws IOException

      get the command for the relase agent to execute.
      Throws:
        `IOException`

    - #### setReleaseAgent

          void setReleaseAgent​(String command)
                        throws IOException

      set a command for the release agent to execute.
      Throws:
        `IOException`

    - #### getCgroupCloneChildren

          boolean getCgroupCloneChildren()
                                  throws IOException

      get the cgroup.clone_children config.
      Throws:
        `IOException`

    - #### setCgroupCloneChildren

          void setCgroupCloneChildren​(boolean flag)
                               throws IOException

      Set the cgroup.clone_children config.
      Throws:
        `IOException`

    - #### setEventControl

          void setEventControl​(String eventFd,
                               String controlFd,
                               String... args)
                        throws IOException

      set event control config.
      Throws:
        `IOException`